org.apache.felix.ipojo.util

## Class DependencyModel.ServiceBindingHolder

- java.lang.Object
- - org.apache.felix.ipojo.util.DependencyModel.ServiceBindingHolder

Enclosing class:
  DependencyModel

    public class DependencyModel.ServiceBindingHolder
    extends java.lang.Object

Service binding structure.

### Field Summary

Fields
`IPOJOServiceFactory` `factory`
`org.osgi.framework.ServiceReference` `reference`
`java.lang.Object` `service`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### service

    public final java.lang.Object service

#### factory

    public final IPOJOServiceFactory factory

#### reference

    public final org.osgi.framework.ServiceReference reference